Package ghidra.framework.main.projectdata.actions

# Class ProjectDataPasteLinkAction

java.lang.Object
docking.action.DockingAction
ghidra.framework.main.datatable.ProjectTreeAction
ghidra.framework.main.projectdata.actions.ProjectDataPasteLinkAction

All Implemented Interfaces:
  `DockingActionIf`, `HelpDescriptor`

public class ProjectDataPasteLinkAction extends ProjectTreeAction

- ## Field Summary

  ### Fields inherited from interface docking.action.DockingActionIf

  `DESCRIPTION_PROPERTY, ENABLEMENT_PROPERTY, GLOBALCONTEXT_PROPERTY, KEYBINDING_DATA_PROPERTY, MENUBAR_DATA_PROPERTY, POPUP_MENU_DATA_PROPERTY, TOOLBAR_DATA_PROPERTY`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ProjectDataPasteLinkAction(String owner, String group)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `actionPerformed(FrontEndProjectTreeContext context)`
  `protected boolean`
  `isAddToPopup(FrontEndProjectTreeContext context)`
  `protected boolean`
  `isEnabledForContext(FrontEndProjectTreeContext context)`

  ### Methods inherited from class ghidra.framework.main.datatable.ProjectTreeAction

  `actionPerformed, isAddToPopup, isEnabledForContext, isValidContext, isValidContext, supportsTransientProjectData`

  ### Methods inherited from class docking.action.DockingAction

  `addPropertyChangeListener, addToWindowWhen, createButton, createMenuItem, dispose, doCreateButton, doCreateMenuItem, enabledWhen, firePropertyChanged, getContextClass, getDefaultKeyBindingData, getDescription, getFullName, getHelpInfo, getHelpLocation, getHelpObject, getInceptionFromTheFirstClassThatIsNotUsOrABuilder, getInceptionInformation, getKeyBinding, getKeyBindingData, getKeyBindingType, getMenuBarData, getName, getOwner, getPopupMenuData, getPreferredKeyBindingType, getToolBarData, isEnabled, markHelpUnnecessary, popupWhen, removePropertyChangeListener, setAddToAllWindows, setContextClass, setDescription, setEnabled, setHelpLocation, setKeyBindingData, setMenuBarData, setPopupMenuData, setToolBarData, setUnvalidatedKeyBindingData, shouldAddToWindow, supportsDefaultContext, toString, validContextWhen`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface docking.action.DockingActionIf

  `createMenuComponent, getOwnerDescription`

- ## Constructor Details

  - ### ProjectDataPasteLinkAction

    public ProjectDataPasteLinkAction(String owner, String group)

- ## Method Details

  - ### actionPerformed

    protected void actionPerformed(FrontEndProjectTreeContext context)
    Specified by:
      `actionPerformed` in class `ProjectTreeAction`

  - ### isEnabledForContext

    protected boolean isEnabledForContext(FrontEndProjectTreeContext context)
    Overrides:
      `isEnabledForContext` in class `ProjectTreeAction`

  - ### isAddToPopup

    protected boolean isAddToPopup(FrontEndProjectTreeContext context)
    Overrides:
      `isAddToPopup` in class `ProjectTreeAction`